summaryrefslogtreecommitdiff
path: root/app-crypt/passwordsafe
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-05-19 11:13:21 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-05-19 11:13:21 +0300
commit1a9f65d2ee2f0477945466de7261a5d0eed7cecf (patch)
tree1edb978daa5abf1f6cab7a12fe7af62b237d9417 /app-crypt/passwordsafe
parentcb614da9f4a21e7f89230fbf78ec447249547c96 (diff)
[passwordsafe] added passwordsafe
Diffstat (limited to 'app-crypt/passwordsafe')
-rw-r--r--app-crypt/passwordsafe/Manifest2
-rw-r--r--app-crypt/passwordsafe/files/passwordsafe-fix-file-collisions.patch86
-rw-r--r--app-crypt/passwordsafe/passwordsafe-0.95.1.ebuild97
-rw-r--r--app-crypt/passwordsafe/passwordsafe-0.95.1_beta.ebuild92
-rw-r--r--app-crypt/passwordsafe/passwordsafe-0.9_beta.ebuild63
5 files changed, 340 insertions, 0 deletions
diff --git a/app-crypt/passwordsafe/Manifest b/app-crypt/passwordsafe/Manifest
new file mode 100644
index 00000000..1257fb77
--- /dev/null
+++ b/app-crypt/passwordsafe/Manifest
@@ -0,0 +1,2 @@
+DIST pwsafe-0.95.1BETA-src.tgz 13689095 SHA256 5d16665dd540e94b4d3759528ac7ee4e668ff700a7b6ea44f30279530b71f023 SHA512 2434512dab4f69d445ce7c4b2855d0c06886d32935bfafb81c9a18cd1467b01f294eba138689b984e3bf02cb24d0a97dfe8bcfb7036f014b1f305498d69fa8f3 WHIRLPOOL ce4c5333b3fa5c1d890b615f198b8c7fc8cde6875f33e2f2b4a7d777741623804242e95bbf80eb078dfe15693303f54688f73a07c02f5500a7d0db72ea846aa8
+DIST pwsafe-0.9BETA-src.tgz 14919785 SHA256 a1c59dd0f80112a28a4476184c4d976ea342dd5180e3a85e05d1b6d10cb19ba7 SHA512 cf2a4073c852caac00172bc9d051655e7502141f122b4e52a20c46f6134ef6f745000dc898019fd513456a5584dfeb3c383f7065cb6fa7e2e39d5d6c77b00d5a WHIRLPOOL 3e0ccdd51a4d9a3747f2b4dcf8280eadf1326c1ab196626cb13348740890a5023fd8a3317ea73f9c18e469f191c8a25250bdecf0007b2d068d34c3d323f73c7d
diff --git a/app-crypt/passwordsafe/files/passwordsafe-fix-file-collisions.patch b/app-crypt/passwordsafe/files/passwordsafe-fix-file-collisions.patch
new file mode 100644
index 00000000..bbd032dd
--- /dev/null
+++ b/app-crypt/passwordsafe/files/passwordsafe-fix-file-collisions.patch
@@ -0,0 +1,86 @@
+Index: docs/pwsafe.1
+===================================================================
+--- docs/pwsafe.1 (revision 5210)
++++ docs/pwsafe.1 (working copy)
+@@ -1,11 +1,11 @@
+ .\" Process this file with
+ .\" groff -man -Tascii pwsafe.1
+ .\"
+-.TH PWSAFE 1 "JULY 2010" Linux "User Manuals"
++.TH PASSWORDSAFE 1 "JULY 2010" Linux "User Manuals"
+ .SH NAME
+-pwsafe \- Secure Password Manager
++passwordsafe \- Secure Password Manager
+ .SH SYNOPSIS
+-.B pwsafe [-g
++.B passwordsafe [-g
+ .I config-file
+ .B ] [-u
+ .I user
+@@ -17,24 +17,24 @@
+ .I database
+ .B ]
+ .br
+-.B pwsafe
++.B passwordsafe
+ .B -v
+ .I database
+ .br
+-.B pwsafe
++.B passwordsafe
+ .B [-e|-d]
+ .I file
+ .br
+-.B pwsafe
++.B passwordsafe
+ .B [-c|-s|-m]
+ .SH DESCRIPTION
+-.B pwsafe
++.B passwordsafe
+ manages your passwords in a convenient yet secure manner.
+ .SH OPTIONS
+ .IP -g
+ .I config-file
+ This will cause the specified config-file to be used for loading and storing
+-preferences, instead of the default pwsafe.cfg (see
++preferences, instead of the default passwordsafe.cfg (see
+ .B FILES
+ ).
+ .IP -u
+@@ -90,14 +90,14 @@
+ .SH ENVIRONMENT
+ .IP PWS_PREFSDIR
+ If set,
+-.B pwsafe
++.B passwordsafe
+ will look for the preference file in this directory rather than in
+ .I ~/.pwsafe.
+ .SH DIAGNOSTICS
+-.B pwsafe
++.B passwordsafe
+ Will issue error messages if the database is damaged. If this occurs,
+ invoking
+-.B pwsafe
++.B passwordsafe
+ with the
+ .B -v
+ option may help.
+Index: install/desktop/pwsafe.desktop
+===================================================================
+--- install/desktop/pwsafe.desktop (revision 5210)
++++ install/desktop/pwsafe.desktop (working copy)
+@@ -3,9 +3,9 @@
+ Name=PasswordSafe
+
+ Comment=Manage passwords
+-Exec=pwsafe %f
+-Icon=pwsafe
++Exec=passwordsafe %f
++Icon=passwordsafe
+ Terminal=false
+ Type=Application
+ StartupNotify=true
+-Categories=GTK;Utility;Security;
+\ No newline at end of file
++Categories=GTK;Utility;
+\ No newline at end of file
diff --git a/app-crypt/passwordsafe/passwordsafe-0.95.1.ebuild b/app-crypt/passwordsafe/passwordsafe-0.95.1.ebuild
new file mode 100644
index 00000000..7de0b253
--- /dev/null
+++ b/app-crypt/passwordsafe/passwordsafe-0.95.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+WX_GTK_VER="3.0"
+
+inherit eutils flag-o-matic wxwidgets
+
+MY_P="pwsafe-${PV}BETA"
+DESCRIPTION="Password manager with wxGTK based frontend"
+HOMEPAGE="http://pwsafe.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}-src.tgz"
+
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="yubikey"
+
+COMMON_DEPEND="dev-libs/xerces-c
+ sys-apps/util-linux
+ sys-devel/gettext
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-libs/wxGTK:${WX_GTK_VER}[X]
+ yubikey? (
+ sys-auth/ykpers
+ )"
+DEPEND="${COMMON_DEPEND}
+ >=sys-devel/make-3.81"
+RDEPEND="${COMMON_DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_pretend() {
+ einfo "Checking for -std=c++11 support in compiler"
+ test-flags-CXX -std=c++11 > /dev/null || die
+}
+
+src_prepare() {
+ # remove hard coded compilers and compiler flags
+ sed -e '/^export CXXFLAGS/d' -i Makefile.linux || die
+ sed -i src/core/Makefile src/os/linux/Makefile src/ui/wxWidgets/Makefile \
+ -e 's/-O[0-3]\?//g' -e 's/-g(gdb)\?//g' \
+ -e '/^CC=/d' -e '/^CXX=/d' || die
+
+ # generator for the version.h only adds \r breaking the c file
+ cp src/ui/wxWidgets/version.in src/ui/wxWidgets/version.h || die
+
+ # binary name pwsafe is in use by app-misc/pwsafe, we use passwordsafe
+ # instead. Perform required changes in linking files
+ sed -i install/desktop/pwsafe.desktop -e "s/pwsafe/${PN}/g" || die
+ sed -i docs/pwsafe.1 \
+ -e 's/PWSAFE/PASSWORDSAFE/' \
+ -e "s/^.B pwsafe/.B ${PN}/" || die
+}
+
+src_configure() {
+ if ! use yubikey ; then
+ export NO_YUBI=1
+ fi
+
+ need-wxwidgets unicode
+
+ strip-flags
+ append-cxxflags -std=c++11
+}
+
+src_compile() {
+ emake unicoderelease
+ emake help
+ emake I18N
+}
+
+src_install() {
+ newbin src/ui/wxWidgets/GCCUnicodeRelease/pwsafe ${PN}
+ newman docs/pwsafe.1 ${PN}.1
+
+ dodoc README.txt docs/{ReleaseNotes.txt,ChangeLog.txt}
+
+ insinto /usr/share/pwsafe/xml
+ doins xml/*
+
+ insinto /usr/share/locale
+ doins -r src/ui/wxWidgets/I18N/mos/*
+
+ # The upstream Makefile builds this .zip file from html source material for
+ # use by the package's internal help system. Must prevent
+ # Portage from applying additional compression.
+ docompress -x /usr/share/doc/${PN}/help
+ insinto /usr/share/doc/${PN}/help
+ doins help/*.zip
+
+ newicon install/graphics/pwsafe.png ${PN}.png
+ newmenu install/desktop/pwsafe.desktop ${PN}.desktop
+}
diff --git a/app-crypt/passwordsafe/passwordsafe-0.95.1_beta.ebuild b/app-crypt/passwordsafe/passwordsafe-0.95.1_beta.ebuild
new file mode 100644
index 00000000..6c6e58ec
--- /dev/null
+++ b/app-crypt/passwordsafe/passwordsafe-0.95.1_beta.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+WX_GTK_VER="3.0"
+
+inherit eutils flag-o-matic wxwidgets
+
+MY_P="pwsafe-${PV/_beta/BETA}"
+DESCRIPTION="Password manager with wxGTK based frontend"
+HOMEPAGE="http://pwsafe.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}-src.tgz"
+
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="yubikey"
+
+COMMON_DEPEND="dev-libs/xerces-c
+ sys-apps/util-linux
+ sys-devel/gettext
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-libs/wxGTK:${WX_GTK_VER}
+ yubikey? (
+ sys-auth/ykpers
+ )"
+DEPEND="${COMMOND_DEPEND}
+ >=sys-devel/make-3.81"
+RDEPEND="${COMMON_DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_pretend() {
+ einfo "Checking for -std=c++11 support in compiler"
+ test-flags-CXX -std=c++11 > /dev/null || die
+}
+
+src_prepare() {
+ # remove hard coded compilers and compiler flags
+ sed -e '/^export CXXFLAGS/d' -i Makefile.linux || die
+ sed -i src/core/Makefile src/os/linux/Makefile src/ui/wxWidgets/Makefile \
+ -e 's/-O[0-3]\?//g' -e 's/-g(gdb)\?//g' \
+ -e '/^CC=/d' -e '/^CXX=/d' || die
+
+ # binary name pwsafe is in use by app-misc/pwsafe, we use passwordsafe
+ # instead. Perform required changes in linking files
+ sed -i install/desktop/pwsafe.desktop -e "s/pwsafe/${PN}/g" || die
+ sed -i docs/pwsafe.1 \
+ -e 's/PWSAFE/PASSWORDSAFE/' \
+ -e "s/^.B pwsafe/.B ${PN}/" || die
+}
+
+src_configure() {
+ if ! use yubikey ; then
+ export NO_YUBI=1
+ fi
+
+ strip-flags
+ append-cxxflags -std=c++11
+}
+
+src_compile() {
+ emake unicoderelease
+ emake help
+ emake I18N
+}
+
+src_install() {
+ newbin src/ui/wxWidgets/GCCUnicodeRelease/pwsafe ${PN}
+ newman docs/pwsafe.1 ${PN}.1
+
+ dodoc README.txt docs/{ReleaseNotes.txt,ChangeLog.txt}
+
+ insinto /usr/share/pwsafe/xml
+ doins xml/*
+
+ insinto /usr/share/locale
+ doins -r src/ui/wxWidgets/I18N/mos/*
+
+ # The upstream Makefile builds this .zip file from html source material for
+ # use by the package's internal help system. Must prevent
+ # Portage from applying additional compression.
+ docompress -x /usr/share/doc/${PN}/help
+ insinto /usr/share/doc/${PN}/help
+ doins help/*.zip
+
+ newicon install/graphics/pwsafe.png ${PN}.png
+ newmenu install/desktop/pwsafe.desktop ${PN}.desktop
+}
diff --git a/app-crypt/passwordsafe/passwordsafe-0.9_beta.ebuild b/app-crypt/passwordsafe/passwordsafe-0.9_beta.ebuild
new file mode 100644
index 00000000..901fddc6
--- /dev/null
+++ b/app-crypt/passwordsafe/passwordsafe-0.9_beta.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils versionator
+
+MY_PV=$(get_version_component_range 1-2)
+DESCRIPTION="Popular easy-to-use and secure password manager"
+HOMEPAGE="http://sourceforge.net/projects/passwordsafe/"
+SRC_URI="http://sourceforge.net/projects/passwordsafe/files/Linux-BETA/${MY_PV}/pwsafe-${MY_PV}BETA-src.tgz"
+
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~x86"
+
+DEPEND="
+x11-libs/wxGTK
+dev-libs/xerces-c
+x11-libs/libXt
+x11-libs/libXtst
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/pwsafe-${MY_PV}BETA"
+
+src_prepare() {
+ # Address name collisions with app-misc/pwsafe.
+ epatch "${FILESDIR}/${PN}-fix-file-collisions.patch"
+}
+
+src_compile() {
+ # Alas, Password Safe is not an autotools project.
+ emake release
+ emake help
+}
+
+src_install() {
+ # Aarrgghh. Makefile has no install target. Doing it manually.
+ # This installation info is derived from the suplied Debian package build script.
+ # Several new names are used to address name collisions with app-misc/pwsafe.
+
+ newbin src/ui/wxWidgets/GCCUnicodeRelease/pwsafe ${PN}
+ insinto /usr/share/pwsafe/xml
+ doins xml/*
+ # Debian package build script lists these but currently the makery doesn't seem to make them.
+ # insinto /usr/share/locale
+ # doins src/ui/wxWidgets/I18N/mos/*
+
+ dodoc README.txt docs/{ReleaseNotes.txt,ChangeLog.txt}
+ newman docs/pwsafe.1 ${PN}.1
+
+ # The upstream Makefile builds this .zip file from html source material for
+ # use by the package's internal help system. Must prevent Portage from
+ # applying additional compression.
+ docompress -x /usr/share/doc/${PN}/help
+ insinto /usr/share/doc/${PN}/help
+ doins help/help.zip
+
+ newmenu install/desktop/pwsafe.desktop ${PN}.desktop
+ newicon install/graphics/pwsafe.png ${PN}.png
+}